Subject: Re: [PATCH 04/11] Use "git merge" instead of "git pull ."

From: Junio C Hamano <[email-masked]>
Date: Tue, 27 Aug 2013 13:46:13 -0700

Jonathan Nieder <[email-masked]> writes:

> On Tue, Aug 27, 2013 at 12:06:33PM -0700, Junio C Hamano wrote:
>> Thomas Ackermann <[email-masked]> writes:
>> 
>> > "git pull ." works, but "git merge" is the recommended
>> > way for new users to do things. (The old description
>> > also should have read "The former is actually *not* very
>> > commonly used".)
>> 
>> It does not matter that you are unaware other people use it often.
>> I'd suggest dropping the first hunk altogether.
>
> Eh, the claim "The former is actually very commonly used." is
> confusing on its own (even though it used to be true) and elaborating
> wouldn't help much with education, so the first hunk makes sense to
> me.  But maybe it should have been done in a separate patch. ;-)

Yeah, it may make sense to replace it with something like "... and
if you think about the fact that your local repository is not at all
special, it makes sense that you can pull from it just like you pull
from other places", without mentioning how common it is.  I do agree
that it is a separate topic.